<template>
  <basic-container>
    <avue-crud
      :addBtn="false"
      :option="option"
      :table-loading="loading"
      :data="data"
      ref="crud"
      v-model:search="search"
      v-model:page="mypage"
      @search-change="searchChange"
      @search-reset="searchReset"
      @current-change="currentChange"
      @size-change="sizeChange"
      @refresh-change="refreshChange"
      @on-load="onLoad"
      @selection-change="selectionChange"
    >
      <template #menu-left>
        <div style="display: flex;">
          <el-upload action="/blade-mdm/program/dncsendback/upload">
            <el-button type="primary" size="default" icon="el-icon-circle-plus">导入</el-button>
          </el-upload>
          <el-button type="primary" size="default" icon="el-icon-circle-plus" plain @click="handleWarehouse" style="margin-left: 12px;">入库</el-button>
        </div>
      </template>
    </avue-crud>
  </basic-container>
</template>

<script>
export default {
  data() {
    return {
      selection: [],
      search: {},
      loading: true,
      mypage: {
        size: 10,
        current: 1,
        total: 0,
      },
      option: {
        addBtn: false,
        editBtn: false,
        delBtn: false,
        labelWidth: 120,
        emptyBtn: false,
        searchSpan: 8,
        menu: false,
        selection: true,
        column: [
          {
            label: '文件路径',
            type: 'input',
            prop: 'keyword',
            search: true,
            hide: true
          },
          {
            label: '任务编号',
            prop: 'programNo'
          },
          {
            label: '程序名称',
            prop: 'programName',
          },
          {
            label: '文件到达时间',
            prop: 'fileBackTime',
          },
          {
            label: '文件数据库编号',
            prop: '',
          },
          {
            label: '处理状态',
            prop: '',
          },
          {
            label: '处理方式',
            prop: ''
          },
          {
            label: '处理时间',
            prop: ''
          },
          {
            label: '处理人',
            prop: ''
          },
          {
            label: 'MD5值',
            prop: 'md5	'
          }
        ],
      },
      data: [],
    };
  },
  methods: {
    selectionChange(selection) {
      this.selection = selection;
    },
    handleWarehouse(row,index) {
      if(this.selection.length == 0) {
        this.$message.error("请选择数据")
      }else {
        var selection = [];
        this.selection.forEach(item=> {
          selection.push(item.id);
        })
        this.loading = true;
        var obj = {
          ids: selection.join(","),
        }
        axios({
          url: '/blade-mdm/program/dncsendback/accept',
          method: 'get',
          params: obj,
        }).then(
          res => {
            this.$message.success("操作成功");
            this.loading = false;
          }
        );
      }
    },
    searchReset() {
      //this.onLoad(this.mypage);
    },
    searchChange(params, done) {
      this.mypage.current = 1;
      this.onLoad();
      done();
    },
    currentChange(current) {
      this.mypage.current = current;
    },
    sizeChange(size) {
      this.mypage.size = size;
    },
    refreshChange() {
      
    },
    onLoad() {
      this.loading = true;
      var obj = {
        keyword: this.search.keyword,
        machineSpec: "",
        current: this.mypage.current,
        size: this.mypage.size,
      }
      axios({
        url: '/blade-mdm/program/dncsendback/page',
        method: 'get',
        params: obj,
      }).then(
        res => {
          const data = res.data.data;
          this.mypage.total = data.total;
          this.data = data.records;
          this.loading = false;
        },
        error => {
            
        }
      );
    }
  },
};
</script>

<style lang="scss">

</style>